qr_flutter 4.0.0
qr_flutter: ^4.0.0 copied to clipboard

QR.Flutter is a Flutter library for simple and fast QR code rendering via a Widget or custom painter.

4.0.0 #

  • Migrate to null safety

3.2.0 #

  • Fix issue where finder patterns don't render correctly with the painter
  • Small fixes + optimizations

3.1.0 #

  • Fix issue with emptyColor rendering.
  • Fix a bug related to placeholder image loading.
  • Bump to Flutter 1.7+. Flutter API changes have necessitated a bump. Sorry.

3.0.1 #

  • Added an example.

3.0.0 #

  • Use QrVersions.auto and let the library pick the appropriate version for you.
  • Add an image that will be overlaid in the centre of the widget. You can specify the image size but not position.
  • QrImage.onError has been removed. It was horribly broken so we decided to not deprecate it and just remove it totally.
  • QrImage.errorStateBuilder introduced to allow you to display an in-line Widget when an error (such as data too long) occurs. By default the error state Widget will be constrained to the QRImage bounds (aka a Square) but you can use the constrainErrorBounds property to prevent that.
  • A bunch of bug fixes you can look at in the source code.

2.1.0 #

  • The gapless option is now true by default.
  • Allow assigning Key values to QrImage widgets.
  • Update qr.dart dependency.
  • qr.dart is now exported so you don't need a second import.

2.0.0 #

  • Flutter 1.2.1 compatibility

2.0.0-dev.1 #

1.1.6 #

  • Adds analyzer configuration
  • Fixes linting issues
  • Migrate to Dart 2.x friendly syntax
  • Tidy some initialization logic / code
  • Bump copyright

1.1.5 #

  • Add image data export functions (see test/painter_tests.dart for an example)

1.1.4 #

  • Add gapless toggle

1.1.3 #

  • Lower min sdk version to cater to some older versions of Flutter

1.1.2 #

  • The QrImage widget will now autosize if no size has been defined (thanks @romkor!)
  • Requires Dart 2 (as so does Flutter)
  • Dart 2 pubspec compatability changes

1.1.1 #

  • Fixes and issue where the QR image won't get repainted even though the data has changed

1.1.0 #

  • Update to 1.0 release of the dart qr library

1.0.0 #

  • Initial release
764
likes
130
pub points
99%
popularity

Publisher

theyakka.com

QR.Flutter is a Flutter library for simple and fast QR code rendering via a Widget or custom painter.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

flutter, qr

More

Packages that depend on qr_flutter